Package com.google.android.exoplayer2.source

## Interface DefaultMediaSourceFactory.AdsLoaderProvider

- Enclosing class:
    DefaultMediaSourceFactory

      public static interface DefaultMediaSourceFactory.AdsLoaderProvider

  Provides `AdsLoader` instances for media items that have `ad tag URIs`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AdsLoader` | `getAdsLoader​(MediaItem.AdsConfiguration adsConfiguration)` | Returns an `AdsLoader` for the given `ads configuration`, or `null` if no ads loader is available for the given ads configuration.

- - ### Method Detail

    - #### getAdsLoader

          @Nullable
          AdsLoader getAdsLoader​(MediaItem.AdsConfiguration adsConfiguration)

      Returns an `AdsLoader` for the given `ads configuration`, or `null` if no ads loader is available for the given ads configuration.

      This method is called each time a `MediaSource` is created from a `MediaItem` that defines an `ads configuration`.